Reseller API v2 & Theme Preferences

Connect child panels or scripts to Zaraiah PH using standard SMM Panel API v2, or customize your panel theme.

2FA Security & Wallet Ledger

Panel Color Themes

Sign in to generate your Reseller API key.

SMM Panel API v2 Reference

API Endpoint: POST https://your-domain.com/api/v2
Content-Type: application/x-www-form-urlencoded or application/json
Currency: PHP · Supports optional idempotency param to prevent duplicate orders on retry!
1. Services List (action=services)
curl -X POST https://your-domain.com/api/v2 \
  -d "key=YOUR_API_KEY" \
  -d "action=services"
2. Add Order (action=add)
curl -X POST https://your-domain.com/api/v2 \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1" \
  -d "link=https://www.tiktok.com/@user/video/123" \
  -d "quantity=5000"
3. Order Status & Balance (action=status | balance | refill)
curl -X POST https://your-domain.com/api/v2 \
  -d "key=YOUR_API_KEY" \
  -d "action=status" \
  -d "order=1001"